summaryrefslogtreecommitdiff
path: root/libgo/merge.sh
diff options
context:
space:
mode:
authorIan Lance Taylor <ian@gcc.gnu.org>2015-01-06 23:26:02 +0000
committerIan Lance Taylor <ian@gcc.gnu.org>2015-01-06 23:26:02 +0000
commit7d7d64c1ae3c0732b167d2050b101808f078d711 (patch)
tree40ecf33efd29feac369ae050140bc3fefed352e9 /libgo/merge.sh
parentefcdb22fe3288fbfa4cd8ba9554b3a561c4d6e08 (diff)
libgo: Add sources for go, cgo, and gofmt commands.
The new commands are not yet built. That will be done separately. Also include a few changes to go/build to support them. From-SVN: r219272
Diffstat (limited to 'libgo/merge.sh')
-rwxr-xr-xlibgo/merge.sh30
1 files changed, 30 insertions, 0 deletions
diff --git a/libgo/merge.sh b/libgo/merge.sh
index e579ac7c41b..fb0d1afe82f 100755
--- a/libgo/merge.sh
+++ b/libgo/merge.sh
@@ -163,6 +163,36 @@ done
done
done
+cmdlist="cgo go gofmt"
+for c in $cmdlist; do
+ (cd ${NEWDIR}/src/cmd/$c && find . -name '*.go' -print) | while read f; do
+ oldfile=${OLDDIR}/src/cmd/$c/$f
+ newfile=${NEWDIR}/src/cmd/$c/$f
+ libgofile=go/cmd/$c/$f
+ merge $f ${oldfile} ${newfile} ${libgofile}
+ done
+
+ (cd ${NEWDIR}/src/cmd/$c && find . -name testdata -print) | while read d; do
+ oldtd=${OLDDIR}/src/cmd/$c/$d
+ newtd=${NEWDIR}/src/cmd/$c/$d
+ libgotd=go/cmd/$c/$d
+ if ! test -d ${oldtd}; then
+ continue
+ fi
+ (cd ${oldtd} && hg status -A .) | while read f; do
+ if test "`basename $f`" = ".hgignore"; then
+ continue
+ fi
+ f=`echo $f | sed -e 's/^..//'`
+ name=$d/$f
+ oldfile=${oldtd}/$f
+ newfile=${newtd}/$f
+ libgofile=${libgotd}/$f
+ merge ${name} ${oldfile} ${newfile} ${libgofile}
+ done
+ done
+done
+
runtime="chan.goc chan.h cpuprof.goc env_posix.c heapdump.c lock_futex.c lfstack.goc lock_sema.c mcache.c mcentral.c mfixalloc.c mgc0.c mgc0.h mheap.c msize.c netpoll.goc netpoll_epoll.c netpoll_kqueue.c netpoll_stub.c panic.c print.c proc.c race.h rdebug.goc runtime.c runtime.h signal_unix.c signal_unix.h malloc.h malloc.goc mprof.goc parfor.c runtime1.goc sema.goc sigqueue.goc string.goc time.goc"
for f in $runtime; do
merge_c $f $f